﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define a = Character("[name]")
define e = Character("Emelia")
define l = Character("Laverne")
define r = Character("Rupert")
define u = Character("Unknown")
define t = Character("Together")


# The game starts here.

label start:

    $ pronoun = "None"
    $ coppedfeel = "None"
    $ knowsname = "None"

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg black
    
    python:
        name = renpy.input("What is your name...")
        name = name.strip() or "Anon"
    
    "What are your pronouns?"
    
    menu:
        "He/Him":
            $ pronoun = "He"
        "She/Her":
            $ pronoun = "She"
        "They/Them":
            $ pronoun = "They"

    if pronoun == "He":
        $ pp_sub= "he"
        $ pp_obj= "him"
        $ pp_sub_c= "He"
        $ pp_obj_c= "Him"
        $ pp_pos= "his"
        $ pp_pos_c= "His"
        $ pp_is= "he's"
        $ pp_is_c= "He's"
    if pronoun == "She":
        $ pp_sub= "she"
        $ pp_obj= "her"
        $ pp_sub_c= "She"
        $ pp_obj_c= "Her"
        $ pp_pos= "her"
        $ pp_pos_c= "Her"
        $ pp_is= "she's"
        $ pp_is_c= "She's"
    if pronoun == "They":
        $ pp_sub= "they"
        $ pp_obj= "them"
        $ pp_sub_c= "They"
        $ pp_obj_c= "Them"
        $ pp_pos= "their"
        $ pp_pos_c= "Their"
        $ pp_is= "they're"
        $ pp_is_c= "They're"
    
    scene bg haunted
    play music musichaunted fadeout 1
    
    play sound soundbreak
    
    "It was another ordinary day on the job."

    play sound soundcrash
    
    "*CRASH! SMASH!*"
    
    play sound soundwind
    
    "A rush of cold wind blows down from the hall ahead."
    
    "Dust mixes with mist and the force billows the rug beneath you."
    
    "Picture frames rattle and fall."
    
    "Small furniture is knocked over as the wind rushes by."
    
    a "Yikes! I think she just went by me!"
    
    "The cold presence dissipates as the blowing wind and crashing items fades downstairs."
    
    show laverne neutral
    
    play sound lavernedidyousee
    
    l "Did you see her?"
    
    l "Is she tangible yet?"
    
    "Your partner, Laverne, came around a corner from down the hall."
    
    "Fumbling with her bags of equipment and spell components."
    
    "She stops in front of you to catch her breath."
    
    a "Not yet, just a chilling wind rushed by."
    
    play sound lavernewell
    
    l "She must have gone downstairs."
    
    l "Phew, she's really a feisty one!"
    
    a "Did she try to hurt you?"
    
    hide laverne neutral
    show laverne smug
    play sound lavernenah
    
    l "Nahhhhhh..."
    
    l "I mean. She did throw a chair at me."
    
    l "If that counts."
    
    l "But I can handle that sort of thing."
    
    l "Since we don't know who she is yet, we don't know how long she's been haunting this house."
    
    l "Nor how strong she could be."
    
    a "Our client said that she came with the house."
    
    a "So she'd have to have been here for a few months... years. At least."
    
    play sound lavernewell
    
    l "We'll have plenty of time to figure that part out later."
    
    l "We've just got to contain her for now."
    
    a "Well... yeah, you're right."
    
    "In order to contain and pacify a ghostly presence."
    
    "You'll need to craft the containment circle."
    
    "But knowing where the ghost actually is is important too."
    
    menu:
        "Follow the ghost":
            $ coppedfeel = "Laverne"
            $ knowsname = "Player"
            jump follow_ghost
        "Set up the circle":
            $ coppedfeel = "Player"
            $ knowsname = "Laverne"
            jump circle_ghost

label follow_ghost:

    a "I'll try to keep an eye on the ghost."
    
    a "Could you set up the circle?"
    
    hide laverne smug
    show laverne neutral
    play sound lavernehey
    
    l "Hey, you be careful."
    
    l "Watch out for flying furniture and call if you need me."
    
    l "As for the circle, I've got this."
    
    l "You'd probably draw an oval anyway."
    
    a "Uncalled for."
    
    "But probably true."
    
    "Laverne pulled out some chalk and set about drawing a large circle in the middle of the hall."
    
    "You ran your hand along your pouch of salt and went to follow the chilling wind down the stairs."
    
    hide laverne neutral
    
    "The house had two floors."
    
    "Three if you counted the tiny alcove of an attic."
    
    "By this point, it was difficult to tell if the spirit was even haunting the house itself."
    
    "It could be haunting an object inside of the house."
    
    "Or something buried in the yard."
    
    "Or even one of the neighboring buildings."
    
    "If she's a particularly old spirit, her territory could be huge."
    
    "You got to the bottom floor. Taking a careful look around."
    
    "The possessions were an eclectic mix of modern and old."
    
    "Modern appliances, books and comics, a television were set up downstairs."
    
    "While most of what was upstairs were antiques and old furniture that must have come with the house."
    
    "Such is often the case with haunted buildings."
    
    "The landlords can't be bothered to properly clean them before trying to sell them."
    
    a "Hello? Are you here?"
    
    "Walking through the downstairs rooms the air begins to chill again."
    
    "The cold breeze wafting back and forth."
    
    "You can almost feel the icy breath on your neck."
    
    a "If there's a presence here."
    
    a "Please, show yourself."
    
    "You round a corner, and a large mirror hangs on the wall."
    
    "Mist surrounds the mirror."
    
    "Though no figure is visible, a reflection can be seen in the mirror."
    
    scene cg emelia mirror 1
    
    "You take a step to the side."
    
    "The less directly you look at the mirror the clearer the reflection becomes."
    
    "And at last you can see her."
    
    "A young woman, with long hair floating ethereally in an unseen breeze."
    
    "Her otherwise lithe frame, dominated by an immense pair of breasts."
    
    "Her expression pensive, almost looks confused."
    
    play sound emeliamuh
    
    u "M....My...."
    
    "You narrow your eyes."
    
    "It's like she's trying to remember something."
    
    u "My... name... E... Emm...."
    
    "You take a step closer."
    
    play sound emelianame
    
    u "Emelia..."
    
    a "Emelia..? Is that your name?"
    
    show cg emelia mirror 2
    
    "The reflection snap turned to look at you."

    a "Ah, crap."
    
    play sound soundwind
    
    "A blast of cold air rushes through the room."
    
    "Cabinet doors fly open, sending plates and dishes hurling out towards you."
    
    "Ceramics smash against the walls and floor."
    
    scene bg haunted
    
    "You run through the dining room, diving under the dusty table as plates keep shattering around you."
    
    "The table shakes and chairs rattle as her presence draws closer."
    
    a "Calm down Emelia!"
    
    a "I just want to talk with you!"
    
    a "I don't want to hurt you- I'm not here to banish you or anything."
    
    a "Nothing like that!"
    
    a "I just want to understand you!"
    
    "Pieces of the dishes begin to rattle and vibrate."
    
    "Levitating off the ground towards you."
    
    "Chips flake off sharpening the edges into points."
    
    a "Okay, this is getting out of hand."
    
    "You reach into your satchel and pull out a handful of salt."
    
    a "I'm sorry Emelia!"
    
    "Leaning towards the shards you hold out your hand and blow hard into the salt."
    
    "The salt sprays out over the room."
    
    "The ghost releases a furious wail as plates and shards clatter to the floor."
    
    "The gust of wind rushes away, fading and dissipates the mist."
    
    "Slowly but surely, the deep chill fades away."
    
    a "Okay..."
    
    a "She might be remembering who she is."
    
    a "That's good. That's good to know."
    
    a "But that also means she's probably getting stronger."
    
    a ". . . And more violent."
    
    a "I'd better keep looking around."
    
    a "Find her again."
    
    "You look around."
    
    "Trying to follow cold spots and temperature drops."
    
    "Following them into the dark corners of the first floor."
    
    "Sometimes you think you've cornered her in a bathroom or closet."
    
    "Just for your breath to warm again."
    
    "And she fades away."
    
    "Calling her name doesn't draw her attention back."
    
    "And after enough time, even the paintings on the walls stop rattling."
    
    a "Damnit. Where did she go?"
    
    play sound lavernedamnit
    
    l "EMMGHGHGH!!!"
    
    a "Huh. That kind of sounded like Laverne."
    
    a "Yeah, almost sounded like her."
    
    "A heavy thump comes from the floor above you."
    
    a "Huh. The ghost must have found her."
    
    a "OH! The ghost must have found her!"
    
    "Readying your satchel of salt you rush for the stairs."
    
    "Climbing them and running into the familiar ghostly chill in the air."
    
    "Rounding the corner you see..."
    
    play music musicghost fadeout 1
    
    "The ghost, Emelia, is in the binding circle."
    
    scene cg emelia pin laverne
    
    "On top of Laverne."
    
    play sound laverneugh
    
    l "Nnnrnrrgh. Mmmgphh!"
    
    "Laverne's face is absolutely buried in the ghost's ethereal cleavage."
    
    "Those massive breasts looking even huger as they absolutely cover your partner in crime."
    
    "Emelia's ectoplasmic rage is palpable."
    
    "But the way she's grinding on top of Laverne as she pins her down is hypnotic."
    
    "The quivering and wobbling of those mounds as Laverne struggles."
    
    l "Dmmmmif hrmm mrmr!"
    
    "That kind of sounded like 'damnit, help me.'"
    
    menu:
        "Rescue Laverne":
            jump rescue_laverne
        "Do Nothing":
            jump emelia_pin_laverne

label emelia_pin_laverne:
    a "I... Uh... oh wow..."
    
    "Ectoplasmic hands held Laverne down as the ghost started to sink deeper into the floor."
    
    "Emelia straddled her tighter and tighter, closer and closer."
    
    "Her massive breasts completely enveloped Laverne's head."
    
    "Absorbing her into her cavernous cleavage."
    
    a "She looks even bigger than her reflection..."
    
    "Laverne's struggling became weaker and weaker."
    
    "Her vibrant red blush fading, turning colder."
    
    "Mist floods the halls, growing thicker and denser."
    
    "Until Laverne and the ghost vanish into the etheral fog."
    
    scene bg black
    
    a "Laverne..? Laverne!?"
    
    a "Ohhhh, I might have fucked up."
    
    "The floorboards begin to rattle and creak."
    
    "A horrid grinding sound emanates from the circle."
    
    "Before a loud cracking snaps the floorboards."
    
    "The chalk circle has been broken."
    
    "You start to back away as the hall grows so cold that frost begins to appear along the walls."
    
    "The chill cuts you to the bone."
    
    "A ghostly howl accompanies Laverne's voice from the mist."
    
    play sound lavernegetout
    
    l "GET OUT!"
    
    "The wind blows so hard, so billowing that it cuts you to the bone."
    
    "You're forced off of your feet and hurled through the air."
    
    play sound soundwind
    
    "The buffeting frozen wind carries you down the stairs through the alls and throws you out the door."
    
    play music musicbadend fadeout 1
    
    "The door slams and leaves you alone on the street."
    
    "Unable to open again."
    
    "Days pass, then weeks."
    
    "You sometimes try to come back, to offer your help."
    
    "But the ghosts haunting that home forbid anyone from ever entering again."
    
    "Sometimes, on cold rainy nights."
    
    "They say you can see two women standing in the upstairs windows."
    
    "Occasionally embracing, and nuzzling into the bustier one's cleavage."
    
    "But . . ."
    
    "In this world or the next."
    
    "You'll never rejoin the busty ghost."
    
    "The End: You did nothing"
    
    return

label rescue_laverne:

    a "I'd love to snap a picture of my bestie getting some action. But not today!"
    
    "Grasping onto a handful of salt you blow it over Emelia as she tries to pin Laverne down."
    
    "She shrieks and flails, floating back up into the air."
    
    scene bg haunted
    show laverne angry at left
    show emelia vengeful at right
    
    "She bumps against the magical force from the containment ring."
    
    "Scratching and clawing noises rise up from the floor boards."
    
    "The wood around the binding circle starts to flake and chip as her phantasmic force attempts to shatter the bond."
    
    "Laverne's gasping for breath and trembling as she gets her bearings again."
    
    play sound lavernedamnit
    
    l "Took you long enough!"
    
    a "It's not every day I see cleavage like that."
    
    play sound lavernehey
    
    l "Sure you do."
    
    l "I've seen your search history."
    
    "Laverne rolls out of the binding circle and places her hands on the runes surrounding it."
    
    l "We've got to put her to sleep."
    
    l "She's getting stronger, and more violent!"
    
    "You rush forward and look for the runes on your side of the circle."
    
    "Glancing up at Emelia."
    
    a "I'm sorry. But you've got to calm down before we can help you remember who you are."
    
    a "We'll be back after you've had a long rest!"
    
    "Finding the proper runes you slam your hands down on the circle and join Laverne in casting the spell."
    
    jump binding_circle

label circle_ghost:

    a "I'm going to set up the area around here."
    
    a "You try to keep track of it."
    
    a "But be careful."
    
    play sound lavernehey
    
    l "Aww, ain't that sweet."
    
    hide laverne smug
    show laverne neutral
    
    l "You keep careful yourself."

    "Laverne pats your shoulder before more cautiously heading downstairs."
    
    "Pulling out some small salt filled dolls from her satchel before disappearing around the corner."
    
    hide laverne neutral
    
    "The house has gone much quieter than a moment ago."
    
    "The banging of pots and pans, fading in the distance."
    
    "You set to work, pulling out a piece of chalk and beginning to draw a large circle in the middle of the hall."
    
    a "Is that circular enough?"
    
    a "Damnit..."
    
    a "It might be too much of an oval."
    
    "You continue to surround the attempted circle in small binding runes and sigils."
    
    "Each one has to be meticulously drawn and designed."
    
    "Especially if you don't know how strong the target presence is."
    
    "The client doesn't want you to hurt the phantom, or banish her forever."
    
    "Making the whole thing much more complicated."
    
    "So you were just using runes that would calm her down or put her to sleep for a few months."
    
    "Enough to dissipate but not banish."
    
    "It's better to take your time and be thorough, rather than make a mistake while rushing."
    
    a "And just a pinch of salt..."
    
    "As you sprinkle the salt, you close your eyes and concentrate."
    
    "Playing out the studied focus that gives a containment circle it's power."
    
    "And when you open them again, the chalk glows ever so faintly."
    
    a "Okay, that should... do the trick?"
    
    "The air around you begins to feel cold."
    
    "Colder than the breeze that rushed by earlier."
    
    "Glancing around you can almost hear and feel the ghost tentatively walking by."
    
    "Up ahead, towards the end of the hall."
    
    "The picture frames begin to tilt again."
    
    "Dust puffing up from the floor."
    
    "You can see your breath as the air chills ever colder."
    
    "At the end of the hall, a ghostly mist begins to manifest."
    
    "Swirls of bluish lavender fog concentrating together."
    
    "Coalescing into a silhouette."
    
    play sound emeliaooh
    
    show emelia neutral
    
    "A ghostly woman appears at the end of the hall."
    
    "Her long hair flows in the air around her, like she's submerged in a gentle current."
    
    "Her dress fades to tatters below, long sleeves covering her hands."
    
    "And true to your client's description."
    
    "Her utterly massive breasts bob and wobble on her chest. Totally weightless."
    
    a "Uh... hello there."
    
    "The ghost tilts her head to the side. Regarding you."
    
    "You consider calling Laverne."
    
    "But aren't sure if sudden shouting would chase the spirit off."
    
    "She seems calm for now after all."
    
    a "My name's [name]."
    
    a "I'm sorry for intruding in your home like this."
    
    a "But I... really wanted to talk with you."
    
    a "You've been causing a bit of property damage and such."
    
    "Another gust of wind comes from the ghost's direction."
    
    "Her hair flowing towards you as she scowls a little."
    
    a "Right. But that's neither here nor there."
    
    a "Really, I want to help you."
    
    a "Whether you're newly dead, or have been for a long while, the passage of time can be tricky."
    
    a "And if you need anyone to talk to, I want you to feel free."
    
    "The ghost looks down. As if contemplating her feet of cleavage."
    
    "Holding her sleeves close to her face, squishing into the weightless orbs."
    
    "You think to yourself, trying to puzzle out what this spirit could need."
    
    "Could she be shy? Lonely?"
    
    "The client moved in specifically to be in her presence."
    
    "So maybe it's possible she just wants to be left alone."
    
    menu:
        "Do you need space?":
            $ knowsname = "Both"
            jump emelia_space
        "Are you lonely?":
            jump emelia_lonely
        "How about a squeeze?":
            jump emelia_squeeze
            
label emelia_space:
    
    a "And hey, if you'd rather not chat."
    
    a "Need your space. That's alright too."
    
    "She looks up at you, as if contemplating."
    
    "Before shaking her head."
    
    "She starts to move closer, her breasts bouncing upwards and wobbling back down with an ethereal weightlessness."
    
    "The faded edges of her dress and her long hair flow behind her as she approaches."
    
    u "Youuu...? You... [name]?"
    
    a "Yeah, that's my name."
    
    a "Do you remember yours? Your name?"
    
    play sound emeliamuh
    
    u "My name.... Name... my name..."
    
    "She shakes her head. Looking frustrated at trying to recall something as simple as her name."
    
    "You can guess that she must feel very lost."
    
    "That she's been dead long enough that she's forgotten what fragments of her identity tethered her here."
    
    a "There's no rush."
    
    a "With our help, maybe we can figure out who you are."
    
    a "Help you have less... fog in your heart."
    
    a "But first, you should take another rest."
    
    a "Take some time to calm down, and be refreshed to share a space and find out who you are again."
    
    u ". . . My... name... E-...E-"
    
    "She inches closer, her massive heaving chest almost touching you."
    
    "Floating about the circle."
    
    a "Your name? E-?"
    
    play sound emelianame
    
    u "E.... Emelia!"
    
    a "Emelia... That's a very nice name."
    
    a "If you need help returning to slumber, my friend Laverne and I can help you Emelia."
    
    "She inches closer again."
    
    "And her breasts stop wobbling as freely."
    
    "She glances down confused."
    
    "Just barely through her semi-transparent cleavage she sees the glowing runes of the circle."
    
    "Eyes widening in realization she glares back at you."
    
    a "Urhm- I'm sorry!"
    
    a "I didn't realize that if your tits crossed the line- they'd be-"
    
    play sound emeliano
    
    e "NOOOOOOOOOO!!!!"
    
    "The air goes frigid cold as Emelia wails in frustration and rage."
    
    play sound soundwind
    
    "Picture frames fly off the walls and the wind blows all around you."
    
    "You feel a weight slam into you and knock you down."
    
    "Before something grabs onto your legs and starts dragging you into the circle as well."
    
    a "Okay! I know this looks bad!"
    
    a "And admittedly, it was a bit of a trap."
    
    a "But really, I didn't know the circle could affect 'only' your boobs!"
    
    a "That's my mistake!"
    
    play music musicghost fadeout 1
    
    "She manifests again above you. A heavy weight compressing your chest."
    
    hide emelia neutral
    show emelia vengeful
    
    "Her massive bust resting on top of you, holding you down."
    
    "Long skeletal fingers push out of her sleeves and begin to run along your cheeks and shoulders."
    
    "Her glowing white ares are now pitch black, streaming with black ectoplasm."
    
    "Her mouth's agape in a silent howl as she squishes down into you."
    
    a "It's... getting a bit hard to breathe... hrrnngh"
    
    jump laverne_saves_you

label emelia_lonely:
    
    a "I'd understand if you're lonely."
    
    a "You've forgotten who you are."
    
    a "People can't deal with that. But if you need it."
    
    "You take a step forward, over the binding circle and hold your arms out."
    
    a "I'm willing to be here. Willing to listen."
    
    "The ghost regards you. Turning away slightly."
    
    "It's hard to tell because of how pale she is, but the faint blue across her cheeks could be interpreted as blushing."
    
    "Gingerly, she reaches her hand out towards you."
    
    "You raise your hand to meet hers."
    
    "Her fingers float over yours, passing through, before timidly touching yours."
    
    a "You miss it? You miss touch?"
    
    "She nods."
    
    "You can barely feel her fingers, they're delicate. Soft."
    
    "Like the delicate brush of a winter breeze."

    a "I can try to hold you."
    
    a "If only for a moment, maybe you'll feel me here with you."
    
    "The ghost pauses for a moment before quickly approaching."
    
    "Her massive breasts squish into you, almost pushing through you."
    
    "Trying to concentrate on her essence, her presence, you raise your arms ready to embrace."
    
    "She leans into you attempting to snuggle against you."
    
    hide emelia neutral
    show emelia peaceful
    
    "Like holding a feather, you can almost feel her melt into you."
    
    "As you attempt to hold her, you can almost grasp her. Almost there."
    
    menu:
        "Finish the Hug":
            jump emelia_hug
        "Give a gentle Caress":
            jump emelia_caress
            
label emelia_caress:
    
    a "So... what kind of lonely are you?"
    
    "Gently, you maneuver a hand to the side of one her breasts."
    
    "Meeting her gaze, she smiles encouragingly."
    
    "More confidently, you push your hand into her breast."
    
    "It's soft. Beyond description with how soft it is."
    
    a "Is this okay?"
    
    scene cg emelia squeeze
    
    "She pulls back and adjusts, squishing into you and stretching to show you all of her cleavage."
    
    "You start to squeeze with both hands."
    
    "They wobble and wiggle with your touch."
    
    "Jiggling weightless in the aether."
    
    "Pushing harder, your hands sink into her phantom form."
    
    "She gasps and blushes blue as she shivers."
    
    "As cold as a ghost's touch is, she almost feels warm here."
    
    play sound emeliawarm
    
    u "[name]... Warm."
    
    "She reaches for you, running her cold hands along her side."
    
    "Lower down your hips."
    
    "Squeezing into you until..."
    
    "She sends a shiver up your spine as her ethereal touch reaches inside of you."
    
    "Phasing through your clothes and into your own spirit."
    
    "Dipping beneath her bust and toward your thighs."
    
    "Gently playing as her fingers phase in and out of your body, stroking and stimulating you inside and out."
    
    a "W-Wow..."
    
    play sound emeliawarm
    
    u "You're warm... so warm..."
    
    "Shuddering, you push your face forward and lift her breasts up."
    
    "Burying your face in her pillowy cleavage."
    
    "She leans her head against yours, smiling."
    
    "Your embrace bringing her the warmth of life again, if only for a moment."
    
    scene bg haunted
    show emelia peaceful
    
    jump emelia_hug
    
label emelia_hug:
    
    "With the ghost satisfied in the warmth of the living, she starts to pull away."
    
    "A peaceful smile across her face."
    
    hide emelia peaceful
    show emelia neutral
    
    "When... she bumps against the back of the circle."
    
    "The containment ring keeping her from backing up any further."
    
    a "Ohh... Um..."
    
    "She looks at you, her expression looking hurt."
    
    "Before her eyes start to darken with black ectoplasm."
    
    play music musicghost fadeout 1
    
    hide emelia neutral
    show emelia vengeful
    
    a "I know this looks bad!"
    
    a "The hug was genuine!"
    
    a "But the circle- Let me explain!"
    
    play sound emeliano
    
    u "NOOOOOOO!!!"
    
    "She howls and slams against you."
    
    "You bounce off her chest as the freezing wind blows and chills through the halls."
    
    "Collapsing backwards you fall onto your butt."
    
    "Before you can scoot away, phantom hands grasp onto your legs and start to drag you into the circle."
    
    a "We do want to help you!"
    
    a "I didn't just want to grab a feel and trap you! Really!"
    
    "The ghost pins you down with her ethereal presence."
    
    "And starts to run her skeletal fingers over your shoulder."
    
    "She straddles you and the weight starts to feel crushing."
    
    "Heavier and more encompassing with each passing moment."
    
    "Her massive breasts cover your chest and throat, squeezing against your jaw."
    
    "Each press pushes more air out of your lungs."
    
    a "Too heavy... can't... breathe..."
    
    jump laverne_saves_you

label emelia_squeeze:
    a "Maybe what you need is companionship."
    
    a "Someone to make you feel alive again."
    
    "You give a playful wink."
    
    "The spirit looks confused. Furrowing her brow."
    
    "You start to approach her, stepping across the circle to get closer."
    
    "She fades away slightly as she backs up."
    
    a "I've heard that being in the veil is cold... and lonely."
    
    a "But you don't have to be."
    
    a "I'm here and willing."
    
    a "If you want to be with someone alive."
    
    "She keeps backing up. Her hair and dress flowing through the air."
    
    "She tilts to the side, leaning against the wall."
    
    "Before looking back at you, her expression hard to read."
    
    "Standing in front of her, she's almost phased into the wall."
    
    "Though she doesn't breathe, her boobs wobble and jiggle, giving the illusion of living breath."
    
    a "Yeah?"
    
    "You lean forward, squishing your chest against her massive bust."
    
    "She looks down into her cleavage before glancing back up at you"
    
    a "Yeah."
    
    "Tilting forward, she starts to push back against you."
    
    "The cold air bites as she chills colder and colder."
    
    "Her mounds feel softer than anything you could describe."
    
    "Silky and fluffy like clouds."
    
    "Soon she's pressed you against the opposite wall."
    
    a "Wow, you're so soft."
    
    "Her glare becomes icy."
    
    a "Hey now..."
    
    a "That's a bit too much pressure."
    
    "She keeps pushing against you."
    
    "Her breasts start to phase through you, into the wall."
    
    "You feel yourself being compressed between the unyielding wall and a growing phantasmic force."
    
    "Squishing tighter, tighter. Colder and colder. Losing your breath."
    
    "Her face is up against yours."
    
    "The chilling air radiating off her as her white eyes meet yours."
    
    "Darkness starts to surround you."
    
    "And she doesn't stop pushing."
    
    "Even when you can't pull in another breath."
    
    "And the chill cuts deeper and deeper to the bone."
    
    "And then."
    
    play music musicbadend fadeout 1
    
    scene bg black
    
    "Darkness."
    
    "The End: Glomped to Oblivion."
    
    return
    
label laverne_saves_you:
    
    "Scratching sounds begin to emanate from the floor below you."
    
    "She's trying to tear at the floorboards to disrupt the circle."
    
    "You try to grasp for your satchel of salt, but the phantom weight straddling you feels more encompassing with every breath."
    
    "The dark begins to close in around you..."
    
    "So big... so heavy... so soft."
    
    play sound lavernedamnit
    
    l "[name]!!!"
    
    "You can barely hear the sounds of stomping footsteps over the crushing presence of the ghost's breasts."
    
    show laverne angry at left
    
    show emelia vengeful at right
    
    "Through half lidded eyes, you see Laverne rush around the corner into the hall."
    
    "The ghost howls once again, sending a rush of ice cold wind through the hall."
    
    "Scattering discarded papers, broken frames, and mist."
    
    "Laverne whips out her salt filled dolls and throws them as hard as she can at the ghost."
    
    "The dolls stick to her where they alnd."
    
    "One landing in her cavernous cleavage."
    
    "Immediately she pulls away and you can at last take a relieved breath."
    
    l "I'm sure you have a tragic backstory, but now's not the time."
    
    l "Nor is it an excuse to suffocate my partner with your tits!"
    
    "You roll out of the circle and place your hands on the runes."
    
    a "Laverne! I'm ready!"
    
    "More scratches appear in the floor as the ghost's phantom force tries to break the enchanted chalk line."
    
    "Laverne dives, sliding across the hall and places her hands on the runes opposite of yours."
    
    jump binding_circle

label binding_circle:
    
    play sound lavernespirit
    
    t "Spirit, we the living demand that you return to your rest!"
    
    "You concentrate on the circle's runes."
    
    "Focusing on the mists of the veil between life and death."
    
    "Your thoughts focus on sleep, on rest, on calming soothing visions."
    
    play sound soundmagic
    
    "Above you the phantom writhes and thrashes."
    
    "But with each twirl, her movements slow."
    
    "Her abyssal eyes and maw vanish."
    
    hide emelia vengeful
    show emelia neutral at right
    
    "Her claws retreat beneath her sleeves."
    
    "She wobbles and staggers as her eyes start to look heavy."
    
    "Curling up, she rests her face in her cleavage."
    
    "And begins to fade away."
    
    play sound emeliaooh
    
    hide emelia neutral with dissolve
    
    play music musicchill
    
    "The air warms as she vanishes into her slumber."
    
    "The two of you wait, holding your hands on the runes for a moment."
    
    "Until you're sure she's gone."
    
    show laverne neutral at center
    
    play sound lavernephew
    
    l "Whoof! I think she's asleep again!"
    
    a "Yeah, I think we did it!"
    
    a "She shouldn't be back for a few months!"
    
    if coppedfeel == "Laverne":
        
        hide laverne neutral
        show laverne smug
        
        play sound lavernehey
        
        l "Are you really that distracted by giant tits?"
        
        a "I'm never going to hear the end of this am I?"
        
        play sound lavernenah
        
        l "Well, there are only two options."
        
        l "Either you were stunned in terror, or you were jealous and wanted to see how far that girl on girl could go."
        
        a ". . . Small chance of both."
        
        play sound lavernelaugh
        
        l "They were *so* soft."
        
        l "Like, ignoring how I felt like I was drowning."
        
        l "I couldn't imagine anything softer than ghost tiddies."
        
        l "Softer than marshmallows, than pillows, than downy soft feathers!"
        
        a "Really?"
        
        play sound laverneyeah
        
        l "You've got to feel some sometime."
    
    if coppedfeel == "Player":
        
        l "Now that I'm sure you're not gonna suffocate."
        
        hide laverne neutral
        show laverne smug
        
        l "Daaaamn, lucky you."
        
        l "It's not every day you get that kind of action!"
        
        a "Oh come on."
        
        l "Are ghost tiddies warm?"
        
        l "Or are they as cold as the rest of the dead?"
        
        a "A bit hard to tell honestly, the entire house ws freezing towards the end there."
        
        l "Eh, at least they were soft I bet."
        
        a "Softer than anything else I've ever felt try to squish me."
        
        a "Like, breasts are soft, but those were like delicate fluffy marshmallows."
        
    hide laverne smug
    show laverne neutral
        
    "Laverne gets back to her feet and offers you a hand up."
    
    "The two of you dust yourselves off and look around."
    
    "Listening carefully for any other signs of paranormal activity."
    
    play sound lavernephew
    
    l "I think that that's all the presences here."
    
    l "It should be fine for our client to come back."
    
    "You give her a nod and pull out your phone to call the client, Rupert, back home."
    
    "The two of you set about washing up the stray salt and chalk line runes."
    
    "But beyond sweeping up any broken glass, you leave the mess for your client to deal with."
    
    "After all, you deal with the supernatural, not cleaning duties."
    
    "You're just wrapping up when you hear the knocking at the door downstairs."
    
    play sound rupertdiditwork
    
    r "Uh, hello- did it work? Is she alright?"
    
    a "We're upstairs! It went..."
    
    a "Well, we're still alive."
    
    "Your client, a tall and nervous looking man walks up the stairs."
    
    show laverne neutral at left
    show rupert neutral at right
    
    "His eyes darted around all the strewn about objects and broken pictures."
    
    play sound rupertoh
    
    r "Yikes... that bad?"
    
    r "So then..."
    
    play sound laverneyeah
    
    l "Yeah, we had to send her back to another beauty nap."
    
    l "She should be gone for a few months, so you'll be safe at least."
    
    "He shifts on his feet a bit."
    
    hide rupert nuetral
    show rupert anxious at right
    
    play sound rupertguess
    
    r "I guess that's a good thing..."
    
    r "Man, I was hoping that she could just calm down a bit..."
    
    if knowsname == "Player":
        
        a "I think I learned her name. 'Emelia.'"
    
    if knowsname == "Laverne":
        
        play sound lavernehey
        
        l "I'm pretty sure her name is Emelia."
    
    if knowsname == "Both":
        
        a "I think I learned her name. 'Emelia?'"
        
        play sound lavernehey
        
        l "Yeah, I heard her mumble that name too."
        
    hide rupert anxious
    show rupert neutral at right
    
    play sound rupertnice
        
    r "'Emelia...' that's kind of nice."
    
    a "Ghosts can be complicated."
    
    a "It's hard to keep a handle on your memories, much less yourself, when you're in the veil."
    
    a "When she comes back, gently saying her name might calm her down a bit."
    
    a "But if you're really concerned about her, you should probably just move again."
    
    play sound rupertno
    
    r "No no no, that's not it."
    
    r "I mean."
    
    r "Well."
    
    r "I didn't really mind having her around."
    
    r "And even when she would sometimes float over me and I felt pinned down..."
    
    r "It's just..."
    
    hide rupert neutral
    show rupert anxious at right
    
    r "When she started to get destructive, I felt more and more crushed."
    
    r "So..."
    
    hide laverne neutral
    hide rupert anxious
    show laverne smug at left
    show rupert flustered at right
    
    play sound lavernewell
    
    l "You want a big tiddied ghost girlfriend. Got it."
    
    "Rupert stutters and stammers, but doesn't deny Laverne's accusation."
    
    play sound rupertno
    
    r "That's not..."
    
    r "I mean..."
    
    r "She just... We could..."
    
    r "I wanted.. Uhm..."
    
    hide laverne smug
    show laverne laugh at left
    
    "Laverne nudges Rupert's shoulder and starts to laugh."
    
    play sound lavernelaugh
    
    l "Ohohohohoho!"
    
    l "I didn't mean anything by it."
    
    l "I get it hun. But you can't exactly cuddle a ghost unless they've got a solid grasp of who they are."
    
    l "Without their memories, they almost always end up more trouble than they're worth."
    
    l "No matter how big the boobs are."
    
    hide rupert flustered
    show rupert anxious at right
    
    "He lets out a big sigh and dips his hands into his pockets."
    
    play sound rupertguess
    
    r "I guess..."
    
    hide laverne laugh
    show laverne neutral at left
    
    r "Will she be calmer when she wakes up again?"
    
    a "She might... but even if she is, it's not a permanent solution."
    
    a "knowing her name helps."
    
    a "But it's not enough to help her remember everything."
    
    a "Until we can do more research on who this Emelia was and find out more."
    
    a "She'll be unpredictable each time. And eventually dangerous."
    
    play sound rupertalright
    
    r "Alright..."
    
    hide rupert anxious
    show rupert neutral at right
    
    r "Well, thanks for the help."
    
    r "I'll give you all a call again when she comes back."
    
    "Rupert pulls out an envelope and hands it to Laverne."
    
    hide laverne neutral
    show laverne smug at left
    
    "She double checks and grins, it must be your payment."
    
    "She slips it into one of her bags and pats Rupert's shoulder again."
    
    play sound lavernehey
    
    l "Anytime you need help with your ghost girlfriend, you know who to call."
    
    "He nods."
    
    hide laverne smug
    show laverne surprise at left
    
    play sound rupertsexywitches
    
    r "The Sexy-Witches."
    
    a "Uh..."
    
    play sound lavernewhat
    
    l "Wha-?"
    
    "There's a long pause between the three of you."
    
    hide rupert neutral
    show rupert anxious at right
    
    play sound rupertoh
    
    r "Isn't... that what the 'S' stands for? S-Witches?"
    
    "Laverne slaps her cheeks and drags her hands down her face."
    
    play sound laverneugh
    
    l "Uuuuuugh"
    
    "And she starts downstairs, still making melodramatic groaning sounds."
    
    hide laverne surprise
    
    show rupert anxious at center
    
    "Rupert watches, clearly nervous and confused."
    
    a "It's supposed to mean S-Tier Witches."
    
    a "But trust me. We get that a lot."
    
    a "But really, when you need us again. Give us a call."
    
    a "And if you change your mind, and want her permanently banished."
    
    a "We can do that too."
    
    play sound rupertidunno
    
    r "Hoping it doesn't come to that."
    
    menu:
        "Say Goodnight":
            jump bye_rupert
        "Ask about self":
            jump ask_rupert
        "Ask about ghost":
            jump ghost_rupert
            
label ask_rupert:
    
    a "I've got to ask."
    
    a "How did you end up in this situation?"
    
    play sound rupertalright
    
    r "What's there to say?"
    
    r "With as bad as the housing market is, not even real estate companies want to price gouge on a haunted house."
    
    a "I mean I'm curious about you."
    
    play sound rupertreally
    
    r "About me?"
    
    "You give him a nod."
    
    hide rupert anxious
    show rupert neutral
    
    r "Well... is it cliche of me to say I work at a comic shop?"
    
    a "Maybe... a little. Is it yours?"
    
    play sound rupertno
    
    r "Unfortunately no, but besides the manager I've worked there the longest."
    
    r "I get enough hours and solid pay."
    
    r "So I saved up and wanted to get a place of my own instead of just renting."
    
    r "While your friend isn't wrong about why I'm willing to put up with the haunting."
    
    r "It was the affordable asking price that convinced me to take the plunge."
    
    a "I'm guessing the house came pre-furnished?"
    
    "Rupert laughs a little."
    
    play sound rupertnice
    
    r "Yeah, kind of. Besides my room upstairs and the kitchen."
    
    r "I didn't exactly have enough stuff to fill it out."
    
    r "I don't know if all the furniture and knick knacks are from when the ghost lived here."
    
    r "Or just from other people that tried to live with her over the years."
    
    a "Hey, with any luck you'll be able to make a home out of it."
    
    play sound rupertreally
    
    r "Aw shucks. Thank you."
    
    jump bye_rupert

label ghost_rupert:
    
    a "Okay, I've got to know."
    
    a "How are you so okay with living with a ghost?"
    
    play sound rupertoh
    
    r "What?"
    
    a "I know that ghosts used to be people."
    
    a "And some can even find themselves again and be safe to live with."
    
    a "But you couldn't have possibly known that when you moved in."
    
    "Rupert sighs and looks down. Almost a little guilty."
    
    play sound rupertguess
    
    r "Your friend's right. I guess it is the long and short of it."
    
    "He fidgets looking really embarrassed."
    
    r "It's a bit shallow of me."
    
    r "But I kind of imagined it being like having a sexy roommate."
    
    r "Even if we couldn't ever be together or anything."
    
    r "I just... Ugh, I feel so stupid trying to find the words."
    
    r "When I saw a photo of her."
    
    r "I thought that it'd be kind of cool."
    
    r "To sometimes see her lurking around... and not feel so alone."
    
    a "... Huh, I see."
    
    hide rupert anxious
    show rupert forlorn
    
    play sound rupertidunno
    
    r "I don't know much about how people become ghosts. Or where things can go."
    
    r "On some level... the idea that we can persist."
    
    r "It gives me a little comfort, you know?"
    
    r "And the big tits are a plus."
    
    a "It would be nice to see those wobbling around every now and then."
    
    play sound rupertnice
    
    r "Exactly! It'd be nice."
    
    "He sighs pretty heavily."
    
    r "Life can get lonely..."
    
    menu:
        "Offer some 'Comfort'":
            $ coppedfeel = "Rupert"
            jump rupert_hand
        "End conversation":
            jump rupert_end
            
label rupert_hand:

    a "Well... it doesn't have to be."
    
    hide rupert forlorn
    show rupert anxious
    
    play sound rupertoh
    
    r "What do you mean?"
    
    a "I get it. Relationships. People. Can be complicated."
    
    a "It might just be me. But even if we persist in the veil we only live as people once."
    
    a "And I'd rather be the kind of person that shares life freely."
    
    hide rupert anxious
    show rupert neutral
    
    play sound rupertnice
    
    r "Huh... that's kind of inspiring."
    
    "You gently place a hand on his shoulder."
    
    "Giving it a light squeeze."
    
    "A small smile and meeting his gaze."
    
    hide rupert neutral
    show rupert flustered
    
    r "Oh...? Oh! Really? With me?"
    
    a "No pressure or anything. But if you'd like..."
    
    play sound rupertreally
    
    r "I... I would!"
    
    "With him accepting your advances, you pull him close against you."
    
    "Compared to the chilling house, he felt warm."
    
    "Hot against you even."
    
    hide rupert flustered
    show rupert blush
    
    "You run your hands along his back and nuzzle into his neck."
    
    "Giving it a playful kiss."
    
    "His hands gingerly reach around your waist."
    
    "They're shaking."
    
    a "Go ahead."
    
    "Hearing your encouragement, he squeezes your hips."
    
    "Reaching around back to feel your butt, timid, but eager."
    
    "You can feel a growing firmness from his crotch."
    
    play sound rupertmoan
    
    r "You're so warm."
    
    "He leans against the wall as you reach down and undo his pants."
    
    scene cg rupert handjob
    
    "He feels so hot."
    
    "His cock already stiff as you pull it out."
    
    "His hands go up your arms a bit as she shudders at your touch."
    
    "You start to run your hand back and forth, stroking him as he bites his lip and leans against the wall."
    
    play sound rupertoh
    
    r "It's... been a while."
    
    a "Don't worry... just relax."
    
    "Your strokes become faster and firmer."
    
    "He gasps and shudders."
    
    "Sometimes reaching for your shoulders to squeeze."
    
    "Occasionally lowering his head."
    
    "You push to meet him, nuzzling his hot flushed cheek."
    
    "You edge him a little... bit by bit."
    
    "Until he gasps and cums into your glove."
    
    "Pushing him against the wall you feel his warmth again."
    
    a "Still feel lonely?"
    
    play sound rupertmoan
    
    r "Unghngghggg"
    
    "Pulling back you tidy yourself up as he composes himself."
    
    scene bg haunted
    show rupert blush
    
    r "Are you sure you're not the Sexy-Witches?"
    
    a "Well... only when we feel like it."
    
    jump rupert_end

label rupert_end:
    
    a "I don't know what kind of relationship you might be able to have with your tomb mate when all is said and done."
    
    a "But, be safe. And don't be afraid to find companionship with the living too."
    
    hide rupert forlorn
    hide rupert blush
    show rupert neutral
    
    play sound rupertalright
    
    r "Yeah... I guess you're right."
    
    r "Ghost boobies are one thing. But life's another."
    
    a "We'll be in touch."
    
    if coppedfeel == "Rupert":
        
        hide rupert neutral
        show rupert blush
        
        play sound rupertreally
        
        r "You mean...?"
        
        a "I don't mind being your booty call if you'll be mine."
        
        r "Heehehe..."
    
    jump bye_rupert
    
label bye_rupert:
    
    hide rupert blush
    hide rupert anxious
    show rupert neutral
    
    a "Be sure to buy some salt from an Occult Shop."
    
    a "Regular table salt can work a little, but the real stuff will keep you the most safe."
    
    a "Be sure to get in contact with us when she manifests again."
    
    play sound rupertnice
    
    r "Right. Thank you, again."
    
    a "Alright. Have a good night Rupert."
    
    a "And thank you for your business."
    
    "You shake Rupert's hand and head downstairs to let yourself out."
    
    "He waves after you, before sighing."
    
    hide rupert neutral
    show rupert anxious
    
    play sound rupertoh
    
    r "I better start washing this up."
    
    scene bg black
    
    "Heading outside, you see Laverne."
    
    "Impatiently tapping her foot exaggeratedly on the sidewalk."
    
    play sound lavernehey
    
    l "Come on! Let's go get some dinner."
    
    l "We did a good job there today! We deserve a treat!"
    
    if coppedfeel == "Rupert":
        l "You certainly took your sweet time."
        
        l "Get lucky again?"
        
        a "Maybe a little..."
        
        play sound laverneyeah
        
        l "He did have an awkward charm, didn't he?"
        
        "You just smiled."
        
    a "I guess we could grab something to eat."
    
    play sound lavernelaugh
    
    l "Yeah! Come on!"
    
    "And so the two of you start to walk back towards the city."
    
    "Another, somewhat, successful job well done."
    
    "The End: For now..."
    
    return

        
    
    ##################
    
    "I see."
    
    "So you prefer [pp_obj]"
    
    "Subject '[pp_sub_c]', Object '[pp_obj_c]', Possess '[pp_pos_c]', Is '[pp_is_c]'"
        

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    ###### show eileen happy

    # These display lines of dialogue.

    e "You've created a new Ren'Py game."
    
    a "And finally, I'm free"

    e "Once you add a story, pictures, and music, you can release it to the world!"

    # This ends the game.

    return
